;======================== header ===============================================
;+
; NAME:
;   cactus_preamble 
; PURPOSE:
;   gets the directory structure, myname and hostname, called in every cactus program
; 
; CATEGORY:
;   cactus 
; INPUTS:
;   
; 
; KEYWORD PARAMETERS:
;
; OUTPUTS:
;
; COMMON BLOCKS: 
;   none
;
; CALLS:
;
; MODIFICATION HISTORY:
;   2007/12/10, ER, Created
;   2008/03/12, ER, Proper header created for this routine
;   2008/03/12, ER, maindir keyword removed, only needed in cactus_settings now
;   2008/03/31, BN, use ssw get_host(), should be more portable
;-
;========================================================================================
PRO cactus_preamble, dir,myname,hostname
 ;main input/output 
   dir=!cactus

 ;Who am I?
   name	  = scope_traceback(/str)		;gives info on nesting of routines
   myname = name[n_elements(name)-2].routine

 ;Where am I?
   hostname = get_host()

END
