;======================== header ===============================================
;+
; NAME: 
;  cactus_detectors.pro
; PURPOSE:
;  return detector string for CACTUS
;  
; SAMPLE CALLING SEQUENCE:
;  detectors=cactus_detectors(instrument)
; INPUT:
;   
; OUTPUT:
;    
; REQUIREMENTS:
;   
; HISTORY:
;   2008/01/03, ER, Created
;   May 13 2008 -- 13:56 by JMK - Always make output lowercase
;-
;======================== end header ===========================================
FUNCTION cactus_detectors, instrument
instrument=STRUPCASE(instrument)
CASE instrument OF 
  'LASCO' : detectors = ['c2','c3']
  'SECCHI': detectors=['COR2'] 
ENDCASE

return, strlowcase(detectors)

END
