;======================== header ===============================================
;+
; NAME: circle 
;
; PURPOSE:
;   This function returns a vector with the x and y coordinates of a circle
;   to plot the circle do plot, c[0,*],c[1,*] with c=circle(xc,yc,radius)
;
; INPUTS: 
;	xc, yc: center coordinates of the circle
;	radius
;
; MODIFICATION HISTORY:
;    2006/02/27, ER, Created
;    2007/12/19, ER, write header
;-
;======================== end header ===========================================
FUNCTION CIRCLE, xcenter, ycenter, radius
points = (2 * !PI / 360.) * FINDGEN(360)
x = xcenter - radius * SIN(points )
y = ycenter + radius * COS(points )
RETURN, TRANSPOSE([[x],[y]])
END


