;======================== header ===============================================
;+
; NAME: str2jul 
;
; PURPOSE:
;   This function returns the julian date of a date given in the form '20071223' or 20071223 
;
; INPUTS: 
;   date in the form '20071223' or 20071223
;
; MODIFICATION HISTORY:
;    2007/12/23, ER, Created
;-
;======================== end header ===========================================
FUNCTION str2jul, strdate

   date=strtrim(strdate,2)
   yyyy=UINT(STRMID(date,0,4))
   mm=UINT(STRMID(date,4,2)) 
   dd=UINT(STRMID(date,6,2))
   juldate=julday(mm,dd,yyyy)

return, juldate

END
